gupnp_context_get_subscription_timeout
gupnp_context_new
Gupnp Functions
PHP Manual

# gupnp_context_host_path

Start hosting

### Description

bool gupnp_context_host_path ( resource `$context` , string `$local_path` , string `$server_path` )

Start hosting `local_path` at `server_path`. Files with the path `local_path`.LOCALE (if they exist) will be served up when LOCALE is specified in the request's Accept-Language header.

### Parameters

`context`

  A context identifier, returned by gupnp_context_new.

`local_path`

  Path to the local file or folder to be hosted.

`server_path`

  Web server path where `local_path` should be hosted.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Create new UPnP context and set host path

`<?php
/* Create the UPnP context */
$context = gupnp_context_new();
if (!$context) {
die("Error creating the GUPnP context\n");
}
/* Host current directory */
gupnp_context_host_path($context, "./web", "");
?>`

### See Also

- gupnp_context_new
- gupnp_context_unhost_path